Bug 97362 - Convert Java complex tests to Python
Summary: Convert Java complex tests to Python
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.5.0 target:6.0...
Keywords: difficultyBeginner, easyHack, skillPython, topicQA
Depends on:
Blocks:
 
Reported: 2016-01-25 15:13 UTC by Björn Michaelsen
Modified: 2018-11-08 09:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2016-01-25 15:13:04 UTC
Java complex tests run out-of-process, which makes them harder too debug than Python tests, which run in process.

This EasyHack is to convert existing Java complex tests to Python. More details can be found here:

 https://wiki.documentfoundation.org/Development/Python_Unit_Tests#Migrate_Java_unit_test_to_Python
Comment 1 Commit Notification 2016-01-28 08:05:27 UTC
kadertarlan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db796cbdeca1c1573728fbdf9bf24e223c3a6c6b

tdf#97362: Convert Java unit test to Python (check_indexed_property_values.py)

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-01-29 08:27:18 UTC
kadertarlan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=679bcbe06dc063414151ce05d4bf3e3b44f2de8d

tdf#97362: Fixed Python unit test (check_indexed_property_values.py)

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-01-30 07:44:49 UTC
kadertarlan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba1d44bec1f85f45a23e7b871e3344ee457e8eac

tdf#97362: Convert Java unit test to Python (check_named_property_values.py)

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-01-31 13:28:31 UTC
kadertarlan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=830b758b11645730306e9f9e5b67e3b22ce17ec6

tdf#97362: Deleted CheckTable.java(this test translated to Python already.)

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Robinson Tryon (qubit) 2016-02-18 14:51:28 UTC Comment hidden (obsolete)
Comment 6 Commit Notification 2016-03-18 08:05:29 UTC
kadertarlan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b27aabc4ea3692a6ffbf28d8da0f75ad51feece9

tdf#97362: Convert Java unit test to Python(load_save_test.py)

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-03-24 09:36:16 UTC
aqcoder committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0f543e38722f25a2969d500513167a3305097ed8

tdf#97362: Convert Java unit test to Python(check_change_color.py)

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-03-25 16:08:57 UTC
kadertarlan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8e595263841ff719bd38128507fdb5ae238f173

tdf#97362: Fixed Python Unit Test(check_table.py)

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 jani 2016-04-25 05:54:42 UTC
A polite ping, still working on this patch?
Comment 10 jani 2016-04-26 09:00:24 UTC
Not my scope
Comment 11 kadertarlan 2016-04-26 12:19:17 UTC
(In reply to jan iversen from comment #9)
> A polite ping, still working on this patch?

Hi Jan,
I'm still working on this bug.I will continue to translate the Java tests. I need to find an appropriate Java tests. If you have any suggestions and you say me it, I would be appreciate.
Thanks
Comment 12 jani 2016-05-27 07:21:38 UTC
A polite ping, still working on this issue ?
Comment 13 jani 2016-06-28 06:17:10 UTC
Unassigned for now.

Please remark, if you still work on this please assign it again.
Comment 14 Alekhya 2017-01-24 16:54:23 UTC
I'm interested in working on this issue. But is any part of it still available for others to work on?
Comment 15 jani 2017-01-25 06:33:25 UTC
(In reply to Alekhya from comment #14)
> I'm interested in working on this issue. But is any part of it still
> available for others to work on?

Since it is still open, there are still issues to be worked on. You can use the many commits as examples.

Please also have a look at this page:
https://wiki.documentfoundation.org/Development/GetInvolved
Comment 16 Adarsh 2017-02-09 12:55:37 UTC
Hi, 
I would like to work on this bug, is it being worked on currently?
Comment 17 jani 2017-02-09 12:57:42 UTC
(In reply to Adarsh from comment #16)
> Hi, 
> I would like to work on this bug, is it being worked on currently?

yes there are still some left, look at comment #15
Comment 18 jani 2017-05-14 07:43:13 UTC Comment hidden (obsolete)
Comment 19 filippo 2017-05-15 07:51:32 UTC
(In reply to jani from comment #18)
> A polite ping, still working on this bug

yes I started recently
Comment 20 Michael Meeks 2017-05-26 07:58:07 UTC
Hi Filippo, best not to assign this since the job is sufficiently large that several people can work on different tests concurrently. Please just push to the bug which test you're working on as you start work in a comment.

Thanks ! Jean-Marc has started on CheckBookmarks.java =)
Comment 21 Commit Notification 2017-05-27 14:49:47 UTC
jmzambon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=52523f39aff9730a308eaca07a3c487829e36e8d

tdf#97362: CheckBookmarks unittest migrated to python (check_bookmarks.py)

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2017-05-29 21:43:56 UTC
Kappanneo committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a87d79a1fae8af3fafdbc1b6d5e0f3adc454d4bf

tdf#97362 CalcRTL unittest partially migarted to python (CalcRTL.py)

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2017-06-14 07:46:24 UTC
jmzambon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e07492e14790262abc24d44c280bd71e5ebeddf4

tdf#97362: TextPortionEnumerationTest partially migrated to python (test_portion_enumeration_test.py)

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2017-06-19 14:10:33 UTC
jmzambon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9d221db01337957ec161a76b5dd7db9d6b384c89

tdf#97362: TextPortionEnumerationTest partially migrated to python (part 2)

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2017-07-14 06:46:32 UTC
jmzambon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1bb0b3815a1e0ba677d6aac577fbb4c7fffee3bf

tdf#97362: TextPortionEnumerationTest partially migrated to python (part 3)

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2017-08-01 14:57:56 UTC
jmzambon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51dee24ce82e0fc4b864ac2905ce3587acf344f3

tdf#97362: TextPortionEnumerationTest partially migrated to python (part 4)

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2017-08-09 09:55:45 UTC
jmzambon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=033a619c979e45d012e1ebe286462eb379997b41

tdf#97362: TextPortionEnumerationTest partially migrated to python (part 5)

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2017-08-22 15:47:27 UTC
jmzambon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c187973d1713ef1ee3f81461c8aa14d924c8d2e5

tdf#97362: TextPortionEnumerationTest partially migrated to python (part 6)

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2017-08-29 08:47:37 UTC
jmzambon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a6ac13b7ccd121ede008238ee16a8c688910144

tdf#97362: TextPortionEnumerationTest partially migrated to python (part 7)

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2017-09-05 12:53:27 UTC
jmzambon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2bfb174ec57c78236e2350c8ae3be9bf524e811c

tdf#97362: TextPortionEnumerationTest partially migrated to python (last part)

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2017-12-11 12:26:33 UTC
jmzambon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c4d0cd148128ceec55b95407d637d42e27426966

tdf#97362: convert sw java complex tests to Python (#final)

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Xisco Faulí 2018-11-08 04:04:54 UTC
A polite ping, still working on this bug?